Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class SelectionEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.SelectionEvent

Direct Known Subclasses:
  ExpandEvent, TreeEvent

public class SelectionEvent
extends TypedEvent

Instances of this class are sent as a result of widgets being selected.

Note: The fields that are filled in depend on the widget.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

See Also:
  `SelectionListener`, Serialized Form

Field Summary
`int` `detail` Extra detail information about the selection, depending on the widget.
`boolean` `doit` A flag indicating whether the operation should be allowed.
`int` `height` The height of selected area.
`Widget` `item` The item that was selected.
`int` `stateMask` The state of the keyboard modifier keys at the time the event was generated.
`java.lang.String` `text` The text of the hyperlink that was selected.
`static int` `WIDGET_DEFAULT_SELECTED`
`static int` `WIDGET_SELECTED`
`int` `width` The width of selected area.
`int` `x` The x location of the selected area.
`int` `y` The y location of selected area.

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`SelectionEvent(Event e)` Constructs a new instance of this class based on the information in the given untyped event.
`SelectionEvent(Widget widget, Widget item, int id)` Constructs a new instance of this class.
`SelectionEvent(Widget widget, Widget item, int id, Rectangle bounds, int stateMask, java.lang.String text, boolean doit, int detail)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, SelectionListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static java.lang.Object[]` `getListeners(Adaptable adaptable)`
`protected java.lang.Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, SelectionListener listener)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WIDGET_SELECTED

    public static final int WIDGET_SELECTED

See Also:
  Constant Field Values

### WIDGET_DEFAULT_SELECTED

    public static final int WIDGET_DEFAULT_SELECTED

See Also:
  Constant Field Values

### x

    public int x

  The x location of the selected area.

### y

    public int y

  The y location of selected area.

### width

    public int width

  The width of selected area.

### height

    public int height

  The height of selected area.

### stateMask

    public int stateMask

  The state of the keyboard modifier keys at the time the event was generated.

  Since:
    1.3

### text

    public java.lang.String text

  The text of the hyperlink that was selected. This will be either the text of the hyperlink or the value of its HREF, if one was specified.

  See Also:
    `Link.setText(String)`

### doit

    public boolean doit

  A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation, depending on the widget.

### item

    public Widget item

  The item that was selected.

### detail

    public int detail

  Extra detail information about the selection, depending on the widget.

  Table and Tree

  - `SWT.CHECK`

  CoolItem and ToolItem

  - `SWT.ARROW`

Constructor Detail

### SelectionEvent

    public SelectionEvent(Event e)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information

### SelectionEvent

    public SelectionEvent(Widget widget,
                          Widget item,
                          int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

### SelectionEvent

    public SelectionEvent(Widget widget,
                          Widget item,
                          int id,
                          Rectangle bounds,
                          int stateMask,
                          java.lang.String text,
                          boolean doit,
                          int detail)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected java.lang.Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### addListener

    public static void addListener(Adaptable adaptable,
                                   SelectionListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      SelectionListener listener)

### getListeners

    public static java.lang.Object[] getListeners(Adaptable adaptable)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TypedEvent`

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.